# NumpyCodeObject class

(Shortest import: `from brian2 import NumpyCodeObject)`

class brian2.codegen.runtime.numpy_rt.numpy_rt.NumpyCodeObject(*args, **kw)

  Bases: `CodeObject`

  Execute code using Numpy

  Default for Brian because it works on all platforms.

  Methods

  `compile_block`(block) |
  `run_block`(block) |
  `update_namespace`() | Update the namespace for this timestep.
  `variables_to_namespace`() |

  Details

  compile_block(block)
  run_block(block)
  update_namespace()

    Update the namespace for this timestep. Should only deal with variables where the reference changes every timestep, i.e. where the current reference in `namespace` is not correct.

  variables_to_namespace()